package com.usky.dxtop;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;

@MapperScan(basePackages = {"com.usky.dxtop.mapper","com.usky.dxtop.quartz.mapper"})
@SpringBootApplication
@EnableScheduling
@EnableAsync
public class DxtopApplication {

    public static void main(String[] args) {
        SpringApplication.run(DxtopApplication.class, args);
    }


}
