package com.usky.dxtop.common.utils;

import org.apache.poi.ss.usermodel.Workbook;
import org.springframework.mock.web.MockMultipartFile;
import org.springframework.web.multipart.MultipartFile;

import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.InputStream;

/**
 * @author yq
 * @date 2021/9/1 16:35
 */
public class ExcelUtils {

    public static MultipartFile downLoadExcel(Workbook workbook,String fileName) throws Exception{
        ByteArrayOutputStream bos=new ByteArrayOutputStream();
        workbook.write(bos);
        byte[] barray=bos.toByteArray();
        InputStream is=new ByteArrayInputStream(barray);
        return new MockMultipartFile(fileName,fileName,fileName,is);
    }

}
