package com.usky.dxtop.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.usky.dxtop.model.Dish;
import org.apache.ibatis.annotations.Param;

import java.util.Date;


/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author yq
 * @since 2021-09-09
 */
public interface DishMapper extends BaseMapper<Dish> {


    /**
     * 分页
     * @param page
     * @param startTime
     * @param endTime
     * @param cart
     * @param userName
     * @return
     */
    Page<Dish> page(IPage<Dish> page,
                      @Param("startTime") Date startTime,
                      @Param("endTime")Date endTime,
                      @Param("cart")String cart,
                      @Param("userName")String userName,
                        @Param("userId")String userId,
                    @Param("messageFlag")Boolean messageFlag);
}
