package com.usky.dxtop.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.usky.dxtop.model.QrCode;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author yq
 * @since 2021-08-26
 */
public interface QrCodeMapper extends BaseMapper<QrCode> {


    Page<QrCode> list(IPage<QrCode> page,
                          @RequestParam String name);
}
