package com.usky.dxtop.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.usky.dxtop.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author yq
 * @since 2021-08-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class QrCode extends BaseEntity implements Serializable {

    private static final long serialVersionUID=1L;

    private Long id;

    private String name;

    private Long topChannelId;

    @TableField(exist = false)
    private String topChannelName;

    @TableField(exist = false)
    private String qrPath;

    private boolean delFlag;


}
