package com.usky.dxtop.model;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author yq
 * @since 2021-09-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Staff implements Serializable {

    private static final long serialVersionUID=1L;

    @TableId
    private Long sId;
    /**
     * 卡号
      */
    @JSONField(name = "cardid")
    private String cardId;
    /**
     * 手机号
     */
    private String contacts;
    /**
     * 部门
     */
    private String dept;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 邮箱
     */
    @JSONField(name = "faceid")
    private String faceId;


    /**
     * id
     */
    private String id;


    /**
     * 是否是审核人
     */
    private Boolean isApprover;

    /**
     * 岗位
     */
    private String jobs;

    /**
     * 姓名
     */
    private String name;

    /**
     * 角色信息
     */
    private String roles;


    /**
     * 性别
     */
    private String sex;



    /**
     * 创建人
     */
    private String createBy;


    /**
     * 修改人
     */
    private String updateBy;


    /**
     * 创建时间
     */
    private Date createTime;


    /**
     * 修改时间
     */
    private String updateTime;

    /**
     * 部门id
     */
    private Long deptId;

    /**
     * 部门名称
     */
    @TableField(exist = false)
    private String deptName;
    /**
     * 身份信息
     */
    @TableField(exist = false)
    private String identity;
    /**
     * 到账比例
     */
    @TableField(exist = false)
    private Double proportion;
    /**
     * 身份信息主键
     */
    @TableField(exist = false)
    private Long radioId;

    /**
     * 是否成功
     */
    private Boolean isSuccess;
    /**
     * 人脸是否同步成功
      */
    private Boolean faceSuccess;

    /**
     * 余额
     */
    private BigDecimal balance;

    /**
     * 人员类型
     */
    private String type;
    /**
     * openId
     */
    private String openId;

    @TableField(exist = false)
    private String username;

    /**
     * 密码
     */
    @TableField(exist = false)
    private String osspassword;


}
