package com.usky.dxtop.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.usky.dxtop.model.CallApiLog;


/**
 * <p>
 * 调用api记录表 服务类
 * </p>
 *
 * @author yq
 * @since 2021-08-26
 */
public interface CallApiLogService extends IService<CallApiLog> {

    /**
     * 添加
     * @param orderNumber 订单编号
     * @param apiName api名称
     * @param url 路径
     * @param param 参数
     * @param result 结果
     * @return
     */
    void saveOrUpdate(String orderNumber,String apiName,String url,String param,String result);


    CallApiLog one(String orderNumber,String apiName);
}
