package com.usky.dxtop.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.usky.dxtop.common.core.page.CommonPage;
import com.usky.dxtop.model.Company;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author yq
 * @since 2021-09-29
 */
public interface CompanyService extends IService<Company> {


    boolean add(Company company);

    boolean update(Company company);

    String checkNameUnique(Company company);

    CommonPage<Company> list(Integer current, Integer size, String name);


    boolean remove(Long id);

}
