package com.usky.dxtop.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.usky.dxtop.common.core.page.CommonPage;
import com.usky.dxtop.model.TopChannel;

import java.util.List;
import java.util.Map;


/**
 * <p>
 * 充值渠道 服务类
 * </p>
 *
 * @author yq
 * @since 2021-08-26
 */
public interface TopChannelService extends IService<TopChannel> {

    String checkNameUnique(TopChannel topChannel);

    CommonPage<TopChannel> list(Integer current,Integer size,String name);

    boolean remove(Long id);

    /**
     * 渠道订单金额
     * @return
     */
    List<Map<String,Object>> channelOrderMoney();


}
