package com.usky.dxtop.service.emun;

/**
 * @author yq
 * @date 2021/10/13 10:58
 */
public enum MsgLogStatus {

    LOADING(1,"投递中"),

    DELIVER_SUCCESS(2,"投递成功"),

    DELIVER_ERROR(3,"投递失败"),

    CONSUMER_SUCCESS(4,"消费成功");
    private Integer code;

    private String name;


    MsgLogStatus(Integer code,String name){
        this.code = code;
        this.name = name;
    }

    public static MsgLogStatus parse(Integer code){
        MsgLogStatus msgLogStatus = null;
        for (MsgLogStatus m:MsgLogStatus.values()) {
            if (m.getCode().equals(code)){
                msgLogStatus = m;
                break;
            }
        }
        return msgLogStatus;
    }

    public Integer getCode(){
        return code;
    }
    public String getName(){
        return name;
    }
}
