package com.usky.dxtop.service.emun;

import com.sun.jna.platform.unix.solaris.LibKstat;

/**
 * @author yq
 * @date 2021/8/26 9:08
 */
public enum OneCardResult {

    SUCCESS(1,"成功"),

    ERROR(2,"未知错误"),

    PARAM_ILLEGAL(3,"参数不合法"),

    NO_PRODUCT(4,"找不见项目"),

    DATABASE_ERROR(5,"数据库错误"),

    NO_OPERATOR(6,"禁止操作"),

    SIGN_ERROR(8,"签名不合法"),

    INVALID_MONEY(9,"无效金额"),

    INVALID_CARD(10,"无效卡"),

    CART_PAST(12,"卡过期"),

    CARD_LOCK(13,"卡锁定"),

    NO_MONEY(14,"余额不足"),

    CMD_ILLEGAL(30,"不合法的终端"),

    CMD_LOCK(31,"终端被禁止"),

    CMD_QUOTA(32,"终端配额不足");




    private Integer code;

    private String description;

    OneCardResult(Integer code,String description){
        this.code = code;
        this.description = description;
    }

    public Integer getCode(){
        return code;
    }

    public String getDescription(){
        return description;
    }

}
