package com.usky.dxtop.service.emun;

/**
 * @author yq
 * @date 2021/8/27 15:45
 */
public enum OrderPayType {


    XJ(1,"现金支付"),

    WX(2,"微信支付"),

    ZFB(3,"支付宝支付"),

    OTHRE(4,"其他支付");
    private Integer payCode;

    private String name;


    OrderPayType(Integer payCode,String name){
        this.payCode = payCode;
        this.name = name;
    }

    public static OrderPayType parse(Integer payCode){
        OrderPayType orderPayType = null;
        for (OrderPayType o:OrderPayType.values()) {
            if (o.getPayCode().equals(payCode)){
                orderPayType = o;
                break;
            }
        }
        if (null == orderPayType){
            orderPayType = OTHRE;
        }
        return orderPayType;
    }

    public Integer getPayCode(){
        return payCode;
    }
    public String getName(){
        return name;
    }
}
