package com.usky.dxtop.service.emun;

/**
 * @author yq
 * @date 2021/9/22 14:13
 */
public enum OrderSceneCode {

    BACK_STAGE(1,"后台充值"),

    VISITOR(2,"游客充值"),

    ERP_APP(3,"ERPAPP充值"),

    COMMON_APP(4,"通用app自主充值"),

    WX_ACCOUNTS(6,"公众号充值"),


    OTHER(5,"其它");
    private Integer code;

    private String name;


    OrderSceneCode(Integer code,String name){
        this.code = code;
        this.name = name;
    }

    public static OrderSceneCode parse(Integer code){
        OrderSceneCode orderSceneCode = null;
        for (OrderSceneCode o:OrderSceneCode.values()) {
            if (o.getCode().equals(code)){
                orderSceneCode = o;
                break;
            }
        }
        if (null == orderSceneCode){
            orderSceneCode = OTHER;
        }
        return orderSceneCode;
    }

    public Integer getCode(){
        return code;
    }
    public String getName(){
        return name;
    }
}
