package com.usky.dxtop.service.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

/**
 * @author yq
 * @date 2021/8/31 16:24
 */
@Data
public class OrderExport {

    private Long id;
    /**
     * 订单编号
     */
    @Excel(name = "订单编号", height = 6, width = 20)
    private String orderNumber;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户名称
     */
    @Excel(name = "用户名称", height = 6, width = 20)
    private String userName;

    /**
     * 用户手机号
     */
    @Excel(name = "用户手机号", height = 6, width = 20)
    private String userPhone;

    /**
     * 订单状态(0未支付2已支付3支付失败)
     */
    @Excel(name = "订单状态", height = 6, width = 20)
    private String orderFlag;

    /**
     * 充值来源
     */
    @Excel(name = "充值渠道", height = 6, width = 20)
    private String channelName;

    @Excel(name = "支付场景", height = 6, width = 20)
    private String scene;

    /**
     * 支付方式
     */
    @Excel(name = "支付方式", height = 6, width = 20)
    private String payType;

    /**
     * 充值金额
     */
    @Excel(name = "充值金额", height = 6, width = 20)
    private Double money;

    /**
     * 身份信息
     */
    @Excel(name = "身份信息", height = 6, width = 20)
    private String identity;

    /**
     * 到账比例
     */
    @Excel(name = "到账比例", height = 6, width = 20)
    private Double topRadio;
}



