package com.usky.dxtop.service.vo;

import lombok.Data;

import java.util.Date;

/**
 * @author yq
 * @date 2021/8/27 15:39
 */
@Data
public class OrderRequest {

    /**
     * 用户名称
     */
    private String userName;

    /**
     * 用户手机号
     */
    private String userPhone;

    /**
     * 订单状态(0未支付2已支付3支付失败)
     */
    private Integer orderFlag;

    /**
     * 充值来源
     */
    private Integer topSource;

    /**
     * 支付方式
     */
    private Integer payType;

    private Date startTime;

    private Date endTime;

    private Double startMoney;

    private Double endMoney;

    public Integer current;

    public Integer size;
}
