package com.usky.dxtop.service.vo;

import lombok.Data;

/**
 * 人员信息
 * @author yq
 * @date 2021/9/26 11:33
 */
@Data
public class StaffVO {
    /**
     * 用户名称
     */
    private String userName;
    /**
     * 密码
     */
    private String password;
    /**
     * 真实姓名
     */
    private String realName;
    /**
     * 手机号
     */
    private String tex;
    /**
     *性别
     */
    private String sex;
    /**
     * 1新增2修改
      */
    private Integer isAdd;

    /**
     * 人员唯一识别信息
     */
    private String mob;

    /**
     * 是否自动生成卡号
     * 1 第三方上传
     * 2 系统自动生成
     * (选择自动生成卡号时第三方上传的卡号默认为空字符串
     * 即可)
     */
    private Integer cartType;
    /**
     * 卡号
     */
    private String card;
    /**
     * 部门id
     */
    private Integer groupId;
    /**
     * 卡类型
     */
    private String  levelName;
    /**
     * 年龄
     */
    private String  age;

}
