package com.usky.dxtop.controller.web.monitor;

import com.usky.dxtop.common.core.domain.ApiResult;
import com.usky.dxtop.framework.web.domain.Server;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * 服务器监控
 * 
 * @author yq
 */
@RestController
@RequestMapping("/monitor/server")
public class ServerController
{
    @PreAuthorize("@ss.hasPermi('monitor:server:list')")
    @GetMapping()
    public ApiResult getInfo() throws Exception
    {
        Server server = new Server();
        server.copyTo();
        return ApiResult.success(server);
    }
}
