package com.usky.dxtop.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.usky.dxtop.model.Staff;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author yq
 * @since 2021-09-28
 */
public interface StaffMapper extends BaseMapper<Staff> {



    Page<Staff> page(IPage<Staff> page,
                     @Param("startTime") Date startTime,
                     @Param("endTime") Date endTime,
                     @Param("name") String name,
                     @Param("phone") String phone,
                     @Param("card") String card,
                             @Param("deptId") Long deptId);


    Staff one(@Param("id") String id,
              @Param("phone") String phone,
              @Param("card") String card);


    List<Staff> selectListByPhones(@Param("phoneList")List<String> phoneList);


}
