package com.usky.dxtop.model;

import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2022-04-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class AccountLock implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 主键
     */
    private Long id;
    /**
     * 名称
     */
    private String name;

    /**
     * 密码长度
     */
    private Integer pwdLength;

    /**
     * 失效时间
     */
    private Integer loseDate;

    /**
     * 锁定次数
     */
    private Integer lockNumber;

    /**
     * 是否默认
     */
    private Boolean isEnable;
    /**
     * 创建人
     */
    private String createBy;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改时间
     */
    private Date updateTime;
    /**
     * 修改人
     */
    private Date updateBy;


    private Boolean delFlag;

}
