package com.usky.dxtop.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 
 * </p>
 *
 * @author yq
 * @since 2021-09-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Dept implements Serializable {

    private static final long serialVersionUID=1L;

    @TableId
    private Long dId;
    /**
     * id
     */
    private String id;
    /**
     * 分页数
     */
    private Integer deptSort;
    /**
     * 是否启用
     */
    private Integer enabled;
    /**
     * 子节点个数
     */
    private Integer subCount;
    /**
     * 是否有子节点
     */
    private Integer hasChildren;

    /**
     * 部门描述
     */
    private String label;
    /**
     * 部门名称
     */
    private String name;
    /**
     * 上级部门编码
     */
    private String pid;

    private Integer leaf;

    private Date createTime;

    /**
     * 创建人
     */
    private String createBy;

    private String updateBy;

    private Date updateTime;

    @TableField(exist = false)
    private List<Dept> children = new ArrayList<>();

    /**
     * 是否成功
     */
    private Boolean isSuccess;

}
