package com.usky.dxtop.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.usky.dxtop.common.core.page.CommonPage;
import com.usky.dxtop.model.Dish;
import com.usky.dxtop.service.vo.DishRequest;

import java.util.Map;


/**
 * <p>
 *  服务类
 * </p>
 *
 * @author yq
 * @since 2021-09-09
 */
public interface DishService extends IService<Dish> {

    /**
     * 分页
     * @param dishRequest
     * @return
     */
    CommonPage<Dish> page(DishRequest dishRequest);

    /**
     * 消费详情
     * @param seq
     * @return
     */
    Dish one(Long seq);

    /**
     * 消费统计
      * @return
     */
    Map<String,Object> collect();

    /**
     * 修改
     * @param dish
     * @return
     */
    Boolean update(Dish dish);

}
