package com.usky.dxtop.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.usky.dxtop.common.core.page.CommonPage;
import com.usky.dxtop.model.SysAsyncTask;
import com.usky.dxtop.service.emun.AsyncResultType;

import java.util.Date;

public interface ISysAsyncTaskService extends IService<SysAsyncTask> {


    /**
     * 返回执行ID
     *
     * @param userName
     * @param funcType
     * @return
     */
    Long getId(String userName, String funcType);

    /**
     * 分页查询
     *
     * @param asyncTaskId
     * @param startTime
     * @param endTime
     * @param funcType
     * @param current
     * @param size
     * @return
     */
    CommonPage<SysAsyncTask> getList(Long asyncTaskId, Date startTime, Date endTime, String funcType, String userName, Integer current, Integer size);

    /**
     * 回传返回结果
     *
     * @param isSuccess
     * @param result
     * @param resultType
     */
    void sendResult(Long id, Boolean isSuccess, String result, AsyncResultType resultType);

    /**
     * 回传返回结果
     */
    void sendResult(SysAsyncTask sysAsyncTask);
}
