package com.usky.dxtop.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.usky.dxtop.model.MsgLog;

import java.util.function.Consumer;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author yq
 * @since 2021-10-13
 */
public interface MsgLogService extends IService<MsgLog> {

    /**
     * 判断是否重复消费
     */
    Boolean isRepetition(MsgLog msgLog);


    void consumerSuccess(String consequence, Consumer<MsgLog> consumer);


    void addOrUpdate(MsgLog msgLog);
}
