package com.usky.dxtop.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.usky.dxtop.common.core.page.CommonPage;
import com.usky.dxtop.model.QrCode;
import com.usky.dxtop.model.TopRadio;

import java.util.List;


/**
 * <p>
 *  服务类
 * </p>
 *
 * @author yq
 * @since 2021-08-26
 */
public interface QrCodeService extends IService<QrCode> {

    boolean add(QrCode qrCode);

    String checkNameUnique(QrCode qrCode);


    CommonPage<QrCode> list(Integer current, Integer size, String name);


    boolean remove(Long id);

}
