package com.usky.dxtop.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.usky.dxtop.model.StaffRadio;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author yq
 * @since 2021-09-23
 */
public interface StaffRadioService extends IService<StaffRadio> {


    /**
     * 批量新增
     * @param list
     * @return
     */
    void addList(List<StaffRadio> list);


    boolean addListByDept(List<Long> deptIds,Boolean isBinding,Long radioId);

    /**
     * 人员比例
     * @return
     */
    List<Map<String,Object>> staffRadio();
}
