package com.usky.dxtop.service.config.rabbitmq;

import com.usky.dxtop.common.utils.spring.SpringUtils;
import com.usky.dxtop.service.emun.RabbitmqBeenCode;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.context.annotation.Configuration;

/**
 * @author yq
 * @date 2022/6/9 11:24
 */
@Configuration
public class RabbitmqUtils {


    public static RabbitTemplate getRabbitmqTemplate(RabbitmqBeenCode rabbitmqBeenCode){
        return SpringUtils.getBean(rabbitmqBeenCode.getModelName() + RabbitmqConfig.TEMPLATE);
    }
}
