package com.usky.dxtop.service.emun;

/**
 * @author yq
 * @date 2022/6/9 10:30
 */
public enum  RabbitmqBeenCode {

    CART_RETURN_CONSUMER("card_return_consume","returnC","离职退卡消费者"),
    CART_RETURN_PRODUCT("card_return_produce","returnP","离职退卡生产者"),

    CART_GET_CONSUMER("balance_get_consume","cardgetC","获取余额消费者"),
    CART_GET_PRODUCT("balance_get_produce","cardgetP","获取余额消费者"),

    CART_CHARGE_CONSUMER("card_charge_consume","chargeC","卡充值消费者"),
    CART_cHARGE_PRODUCT("card_charge_produce","chargeP","卡充值生产者"),

    PROFILE_FACE_CONSUMER("profile_face_consume","faceC","人脸同步消费者"),
    PROFILE_FACE_PRODUCT("profile_face_produce","faceP","人脸同步生产者"),


    PROFILE_DEPT_CONSUMER("group_consume","groupC","部门同步消费者"),
    PROFILE_DEPT_PRODUCT("group_produce","groupP","部门同步生产者"),

    CART_LOSS_CONSUMER("card_loss_consume","lossC","卡挂失消费者"),
    CART_LOSS_PRODUCT("card_loss_produce","lossP","卡挂失生产者"),

    PROFILE_CONSUMER("profile_consume","profileC","人员同步消费者"),
    PROFILE_PRODUCT("profile_produce","profileP","人员同步生产者"),



    SCHEDULE_CONSUMER("schedule_consume","scheduleC","排菜计划消费者"),
    SCHEDULE_PRODUCT("schedule_produce","scheduleP","排菜计划生产者"),


    CARD_UNCHARGE_CONSUMER("card_uncharge_consume","unChargeC","充值撤单消费者"),

//    CHARGE_TRANS_PRODUCT("charge_trans_produce","chargeT","充值记录"),

    DISH_TRANS_PRODUCT("dish_trade_produce","dishT","消费记录");


    private String name;

    private String modelName;

    private String describe;

    RabbitmqBeenCode(String name,String modelName,String describe){
        this.name = name;
        this.modelName = modelName;
        this.describe = describe;
    }

    public static RabbitmqBeenCode parse(String name){
        RabbitmqBeenCode rabbitmqBeenCode = null;
        for (RabbitmqBeenCode o:RabbitmqBeenCode.values()) {
            if (o.getName().equals(name)){
                rabbitmqBeenCode = o;
                break;
            }
        }
        return rabbitmqBeenCode;
    }


    public String getModelName(){
        return modelName;
    }

    public String getName(){
        return name;
    }
}
